package com.dsic.gj_erp.mapper;

import com.dsic.gj_erp.bean.sy.Syuserp;
import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
@Mapper
public interface SyuserMapper {

    int updateUser (Syuserp syuserp);
    int updateUserMac (Syuserp syuserp);
    List<Map> getUserMenu(String usercode, String systemcode);

    List<Map> getSystemList();

    List<Map> getMenuList();

    List<Map> getMenuForRole();

    List<Map> getUserListByMenu(Map<String, Object> paramMap);

    List<Map> getDepartList();

    List<Map> getRoleList();

    List<Map> getRoleListByUser(String user_code);

    Integer addRoleForUser(Map<String, Object> user_role);

    Integer deleteRoleForUser(Map<String, Object> user_role);

    List<Map> getInstitutionList();

    List<Map> getUserListByRole(String role_code);

    List<Map> getInstitutionListByRole(String role_code);

    List<Map> getSystemListByRole(String role_code);

    List<Map> getMenuListByRole(String role_code);

    Integer addRole(Map role);

    Integer deleteRole(String role_code);

    Integer updateRole(Map role);

    Integer addRoleForInstitution(Map<String, Object> institution_role);

    Integer deleteRoleForInstitution(Map<String, Object> institution_role);

    Integer addRoleForSystem(Map<String, Object> system_role);

    Integer deleteRoleForSystem(Map<String, Object> system_role);

    void addRoleForMenu(Map<String, Object> menu_role);

    void deleteRoleForMenu(Map<String, Object> menu_role);

    Integer updatePassword(@Param("yhdm") String yhdm,@Param("newPWD") String newPWD);
}
