package com.dsic.gj_erp.bean.jiuzhou;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.dsic.gj_erp.bean.jhgk.DmYdjh;
import lombok.Getter;
import lombok.Setter;

import java.util.Random;

@Getter
@Setter
@TableName("im_slxx")
public class Sljh {
    @TableId(type = IdType.AUTO)
    private Integer slid;
    private String ckh="01";//仓库号(默认01)
    private String lsh;//交换码（单张板唯一码）2200049281年度+流水号
    private String ysch;//运输车号
    private String czbh;
    private String ql;//期量
    private String hth;//购单号
    private String ghsbm;//供货商--带到出库接口中-用于成本
    private String xhth;//合同号
    private String wlbm;//物料号-炉批号
    private String wph;//物品号
    private String wpmc;//物品名称
    private String wpgg;//物品名称
    private String t;//物品名称
    private String b;//物品名称
    private String l;//物品名称

    private String zt="01";//状态(01正常99作废)
    private String sllsh;//上料流水号（20230322001）
    private String zfry;//作废人员
    private String zfrq;//作废日期
    private String lysl="1";//领用张数默认1张
    private String ylzl;//领用重量(KG)
    private String kwh;//垛位
    private String kwcs;//垛位层数01/02/03等

    private String dcCh;//需求船只
    private String dcPl;//需求批量
    private String dcLx;//流向
    private String dcKw;//切割跨位
    private String dcPw;//抛丸位置

    private String ddlsh;//订单流水号--带到出库接口中-用于成本
    private String ddxh;//订单序号--带到出库接口中-用于成本
    private String wpzt;//物品状态--新增
    private String lrry;//导入人员
    private String lrrq;//导入日期



    public static Sljh ofWithYdjh(DmYdjh ydjh){
        Sljh sljh=new Sljh();
        sljh.dcCh=ydjh.getDcCh();
        sljh.dcPl=ydjh.getDcPl();
        sljh.dcLx=ydjh.getLx();
        sljh.dcKw=ydjh.getKw();
        sljh.dcPw=ydjh.getPw();
        return sljh;
    }
}
