package com.dsic.gj_erp.controller.jcsj;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jcsj.DmBzry;
import com.dsic.gj_erp.bean.jcsj.DmBzzz;
import com.dsic.gj_erp.service.jcsj.DmBzryService;
import com.dsic.gj_erp.service.jcsj.DmBzzzService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xn
 * @since 2024-06-04
 */
@RestController
@RequestMapping("/dmBzry")
public class DmBzryController {
    @Autowired
    DmBzryService service;

    @PostMapping(value = "/getList")
    public ResultBean getList(@RequestBody DmBzry t){
        List<DmBzry> list=service.list(new QueryWrapper<DmBzry>()
                .eq("resources_code",t.getResourcesCode())
                .eq("flag_status","1"));
        return new ResultBean(list);
    }
}

