package com.dsic.gj_erp.pc.dto.tlt;

import com.dsic.gj_erp.pc.Constant;
import com.dsic.gj_erp.pc.dto.data.Bom;
import com.dsic.gj_erp.pc.dto.套料图工序;
import com.google.common.collect.ImmutableList;

public class 三跨平铁 extends 套料图工序 {

    public 三跨平铁 小组(Bom bom) {
        this.kw = "6";
        this.zl = "1010";
        this.bom = bom;
        this.zlType=ZlType.小组;
        this.工序 = ImmutableList.<Constant.工序>builder()
                .add(Constant.工序.上料)
                .add(Constant.工序.抛丸)
                .add(Constant.工序.理料)
                .add(Constant.工序.划线)
                .add(Constant.工序.切割)
                .add(Constant.工序.打磨)
                .add(Constant.工序.曲型)
                .build();
        return this;
    }

    public 三跨平铁 大组(Bom bom) {
        this.kw = "6";
        this.zl = "1110";
        this.bom = bom;
        this.zlType=ZlType.大组;
        this.工序 = ImmutableList.<Constant.工序>builder()
                .add(Constant.工序.上料)
                .add(Constant.工序.抛丸)
                .add(Constant.工序.理料)
                .add(Constant.工序.划线)
                .add(Constant.工序.切割)
                .add(Constant.工序.打磨)
                .add(Constant.工序.曲型)
                .build();
        return this;
    }

    public 三跨平铁 焊接机器人肘板(Bom bom) {
        this.kw = "6";
        this.zl = "4230";
        this.bom = bom;
        this.zlType=ZlType.焊接机器人肘板;
        this.工序 = ImmutableList.<Constant.工序>builder()
                .add(Constant.工序.上料)
                .add(Constant.工序.抛丸)
                .add(Constant.工序.理料)
                .add(Constant.工序.划线)
                .add(Constant.工序.切割)
                .add(Constant.工序.打磨)
                .build();
        return this;
    }
}
